import { Article } from "article/domain/articleEntity";
import { ArticleStore } from "article/domain/articleStore";

const fetchArticleUseCase = async (
    fetchArticleCallback: (id: string) => Promise<Article | null>,
    setArticle: ArticleStore["setArticle"],
    id: string,
): Promise<Article | null> => {
    const article = await fetchArticleCallback(id);
    if (article) {
        await setArticle(article);
    }
    return article;
};

export { fetchArticleUseCase };
